| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- arm_scale_f32() : arm_scale_f32.c , arm_math.h
- arm_scale_q15() : arm_math.h , arm_scale_q15.c
- arm_scale_q31() : arm_scale_q31.c , arm_math.h
- arm_scale_q7() : arm_math.h , arm_scale_q7.c
- arm_shift_q15() : arm_shift_q15.c , arm_math.h
- arm_shift_q31() : arm_shift_q31.c , arm_math.h
- arm_shift_q7() : arm_shift_q7.c , arm_math.h
- arm_sin_cos_f32() : arm_math.h , arm_sin_cos_f32.c
- arm_sin_cos_q31() : arm_sin_cos_q31.c , arm_math.h
- arm_sin_f32() : arm_sin_f32.c , arm_math.h
- arm_sin_q15() : arm_sin_q15.c , arm_math.h
- arm_sin_q31() : arm_sin_q31.c , arm_math.h
- arm_snr_f32() : math_helper.h , math_helper.c
- arm_split_rfft_f32() : arm_rfft_f32.c
- arm_split_rfft_q15() : arm_rfft_q15.c
- arm_split_rfft_q31() : arm_rfft_q31.c
- arm_split_rifft_f32() : arm_rfft_f32.c
- arm_split_rifft_q15() : arm_rfft_q15.c
- arm_split_rifft_q31() : arm_rfft_q31.c
- arm_sqrt_f32() : arm_math.h
- arm_sqrt_q15() : arm_sqrt_q15.c
- arm_sqrt_q31() : arm_sqrt_q31.c
- arm_status : arm_math.h
- arm_std_f32() : arm_std_f32.c , arm_math.h
- arm_std_q15() : arm_std_q15.c , arm_math.h
- arm_std_q31() : arm_std_q31.c , arm_math.h
- arm_sub_f32() : arm_sub_f32.c , arm_math.h
- arm_sub_q15() : arm_sub_q15.c , arm_math.h
- arm_sub_q31() : arm_sub_q31.c , arm_math.h
- arm_sub_q7() : arm_math.h , arm_sub_q7.c
- sinOutput : arm_sin_cos_example_f32.c
- sinSquareOutput : arm_sin_cos_example_f32.c
- sinTable : arm_sin_cos_f32.c , arm_sin_f32.c
- sinTableQ15 : arm_sin_q15.c
- sinTableQ31 : arm_sin_cos_q31.c , arm_sin_q31.c
- snr : arm_convolution_example_f32.c , arm_fir_example_f32.c , arm_matrix_example_f32.c , arm_graphic_equalizer_example_q31.c
- snr1 : arm_linear_interp_example_f32.c
- snr2 : arm_linear_interp_example_f32.c
- SNR_THRESHOLD : arm_convolution_example_f32.c , arm_linear_interp_example_f32.c , arm_matrix_example_f32.c
- SNR_THRESHOLD_F32 : arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c
- SPECIAL : license.txt
- srcA_buf_f32 : arm_dotproduct_example_f32.c
- srcALen : arm_convolution_example_f32.c
- srcB_buf_f32 : arm_dotproduct_example_f32.c
- srcBLen : arm_convolution_example_f32.c
- stage_rfft_f32() : arm_rfft_fast_f32.c
- status : arm_dotproduct_example_f32.c , arm_sin_cos_example_f32.c
- std : arm_class_marks_example_f32.c
- student_num : arm_class_marks_example_f32.c
- SystemCoreClock : system_ARMCM4.c , system_ARMCM3.c , system_ARMCM0.c
- SystemCoreClockUpdate() : system_ARMCM0.c , system_ARMCM4.c , system_ARMCM3.c
- SystemInit() : system_ARMCM0.c , system_ARMCM4.c , system_ARMCM3.c